<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: veryide_files.php,v2 19:47 2008-2-21 Lay $
*/

require '../../include/loader.php';

html_start("系统优化&清理 - VeryIDE");
?>

<!--body start-->

	<?php
    //loader
	require('include/naver.secure.php');
    
    $action = getgpc('action');
    
    if($action){
    
		//检查权限
		$func = "sys-system-cache";
		System :: check_func( $func, false );
		
        //连接数据库
        System :: connect();
    
        $action = getgpc('action');
        
        $action_title="";
        $action_result=false;
        
        switch($action){
            case "clear":
            
                $file = getgpc('file');
				$action_title="清除".$file."缓存";
				
				if( in_array( $file, array("rss","sql","image","page") ) ){
					
					$cahe_path= VI_ROOT.$_G['project']['cache'].$file."/";
					
					//开始时间
					$start=time();
					
					//删除并重建目录
					if( delete_dir($cahe_path) && create_dir($cahe_path) ){
						//写入日志
						System :: insert_event($func,$start,time(),'清除系统查询缓存'.$ext);
	
						$action_result=true;
					}else{
						//写入日志
						System :: insert_event($func,$start,time(),'清除系统查询缓存<span class="text-no">失败</span>'.$ext);
	
						$action_result=false;
					}
				
				}
                
            break;
            
            case "":
                $action_title="";
            
            break;
            
            case "":
                $action_title="";
            
            break;			
        }
        
        //关闭数据库
        System :: connect();
        
        if($action){
            if($action_result){
				
                echo '<div id="state">操作成功，执行 <span class="text-key">'.$action_title.'</span></div>';
				
            }else{
                echo '
                <div id="state" class="failure">非常抱歉，执行 <span class="text-key">'.$action_title.'</span> 失败</div>';
            }
        }
		
	}
    ?>

    <?php
    
    function get_all_errors($att,$val,$msg){
    
        $result = '<tr class="green">';
            $result.= '<td>'.$att.'</td>';
            $result.= '<td>'.$val.'</td>';
            $result.= '<td>'.$msg.'</td>';
        $result.= '</tr>';
        
        return $result;
    
    }
        
        
    ?>
    
    <script type="text/javascript">
		Mo("#wrapper").attr({"class":"snugly"});
	</script>
    
    <div id="box">
    
    <?php
    
    if( System :: check_func('sys-system-cache') ){    
        
        echo '
        <div class="item">清理工具</div>
		
		<table width="100%" border="0" cellpadding="1" cellspacing="1" class="table">
		<tr class="title">
			<td width="120">工具</td>
			<td>目录</td>
			<td>作用</td>
			<td width="120"></td>
		</tr>
		
		<tr class="line">
			<td>清除查询缓存</td>
			<td>cache/sql/</td>
			<td>清除数据查询缓存，删除因查询语句改动而失效的多余缓存，此过程会清空所有查询缓存</td>						
			<td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=sql\';" /></td>
		</tr>
		
		<tr class="line">
			<td>清除页面缓存</td>
			<td>cache/page/</td>
			<td>清除页面内容缓存，删除页面加速生成的周期性缓存，此缓存在一定时间之后还会产生</td>						
			<td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=page\';" /></td>
		</tr>
		
		<tr class="line">
			<td>清除RSS缓存</td>
			<td>cache/rss/</td>
			<td>清除RSS内容缓存，删除RSS内容读取缓存，RSS缓存可能在部分功能模块中有涉及</td>						
			<td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=rss\';" /></td>
		</tr>
		
		<tr class="line">
			<td>清除图片缓存</td>
			<td>cache/image/</td>
			<td>清除临时图片缓存，删除报表等功能生成的图片缓存，此过程不会影响上传的图片文件</td>						
			<td><input name="" type="button" class="button" value="使用" onclick="location.href=\'?action=clear&file=image\';" /></td>
		</tr>
		</table>		
        ';
    }
    

    ?>
    
        <!--div class="item">优化建议</div>
        
        <table width="100%" border="0" cellpadding="1" cellspacing="1" class="table">
            <tr class="title">
                <td>位置</td>
                <td>最佳值</td>
                <td>建议</td>
            </tr>
            
            <tr class="item"><td colspan="3"> <img src="<?php echo VI_BASE;?>image/icon/document.png" /> 配置文件：<span class="text-key">config/config.php</span> </td></tr>
            
            <?php
            
            if( !VI_DBCHARSET && $_G['product']['charset']=='gbk' ){
                echo get_all_errors('VI_DBCHARSET','latin1','如果数据库中中文乱码，可以将此处设置为 latin1 来解决大部分乱码问题');
            }
            
            if( VI_UCS == 'UCS-2' ){
                echo get_all_errors('VI_UCS','UCS-2BE','部分 *nuix 服务器 JSON 中文乱码，请设置为 UCS-2BE 来解决此问题');
            }
            
            ?>
            
            <tr class="item"><td colspan="3"> <img src="<?php echo VI_BASE;?>image/icon/document.png" /> 配置文件：<span class="text-key">config/setting.php</span> </td></tr>
            
            <?php
            
            if( $_G['setting']['global']["upload"]=="on" ){
                echo get_all_errors('$_G[\'setting\'][\'global\'][\'upload\']','off','设为 off 将禁止上传文件，可以提高系统安全性，请根据需要设置');
            }
            
            if( !$_G['setting']['global']["statcode"] ){
                echo get_all_errors('$_G[\'setting\'][\'global\'][\'statcode\']','[HTML代码]','这里可以放置统计代码，如 Google Analytics 代码，用于专题或表单的页面统计分析');
            }
            
            if( !$_G['setting']['global']["topmenu"] ){
                echo get_all_errors('$_G[\'setting\'][\'global\'][\'topmenu\']','[HTML代码]','这里可以放置HTML代码，用户登录后可见，可以用于其它平台的快速链接');
            }
            
            ?>
        
        </table-->

    </div>

</div>

<!--body end-->

<?php html_close();?>